## xsimd 13.0.0

=== debian/changelog ===
xsimd (13.0.0-1ubuntu3) oracular; urgency=medium

  * Run the autopkg tests with clang++-18.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 12:38:56 +0200

xsimd (13.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch check_arch_flags_PR1010.patch
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 May 2024 14:50:21 +0200
