=== debian/control ===
Source: xsimd
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Build-Depends: debhelper-compat (= 13),
               cmake,
               xtl-dev (>= 0.7.0~),
               python3-breathe <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               doctest-dev <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/xsimd
Vcs-Git: https://salsa.debian.org/science-team/xsimd.git
Homepage: https://github.com/xtensor-stack/xsimd
Rules-Requires-Root: no

Package: libxsimd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: xtl-dev (>= 0.7.0~),
 ${misc:Depends}
Suggests: libxsimd-doc <!nodoc>
Breaks: libxtensor-dev (<< 0.24~),
        python3-pythran (<< 0.11~)
Description: C++ wrappers for SIMD intrinsics
 SIMD (Single Instruction, Multiple Data) is a feature of microprocessors
 that has been available for many years. SIMD instructions perform a
 single operation on a batch of values at once, and thus provide a way to
 significantly accelerate code execution. However, these instructions
 differ between microprocessor vendors and compilers.
 .
 xsimd provides a unified means for using these features for library
 authors. Namely, it enables manipulation of batches of numbers with the
 same arithmetic operators as for single values. It also provides
 accelerated implementation of common mathematical functions operating
 on batches.
 .
 This package provides the header-only library.

Package: libxsimd-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Build-Profiles: <!nodoc>
Description: Documentation for xsimd
 SIMD (Single Instruction, Multiple Data) is a feature of microprocessors
 that has been available for many years. SIMD instructions perform a
 single operation on a batch of values at once, and thus provide a way to
 significantly accelerate code execution. However, these instructions
 differ between microprocessor vendors and compilers.
 .
 xsimd provides a unified means for using these features for library
 authors. Namely, it enables manipulation of batches of numbers with the
 same arithmetic operators as for single values. It also provides
 accelerated implementation of common mathematical functions operating
 on batches.
 .
 This package provides the documentation.
