=== debian/tests/control ===
Tests: xsimd-test, xsimd-test-complex
Depends: libxsimd-dev, xtl-dev, cmake, doctest-dev, g++
Restrictions: allow-stderr

Tests: xsimd-test-clang, xsimd-test-clang-complex
Depends: libxsimd-dev, xtl-dev, cmake, doctest-dev, clang-18
Restrictions: allow-stderr
