## xsimd 13.1.0

=== debian/changelog ===
xsimd (13.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_lgamma_PR1024.patch
    - cmake config files now arch-independent, installed in
      usr/share/cmake
  * debian patch pkgconfig_install_destination.patch partially reverts
    upstream PR#1026 to install xsimd.pc under /usr/lib/<arch> not
    /usr/share, since it contains arch-dependent data (libdir).
    See upstream Issue#1077.

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2024 14:47:30 +0100

xsimd (13.0.0-4) unstable; urgency=medium

  * Team upload.
  * drop restriction to clang-18, revert to default clang

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2024 00:56:32 +0100

xsimd (13.0.0-3) unstable; urgency=medium

  * Team upload.
  * debian patch fix_lgamma_PR1024.patch applies upstream PR#1024 to
    fix lgamma for arm. Closes: #1086489

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 14:35:54 +0100

xsimd (13.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Run the autopkg tests with clang++-18. (Closes: #1086489)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Nov 2024 19:05:24 +0000

xsimd (13.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * tests: run ctest with --verbose --output-on-failure. Helps
    debug #1086489.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 22 Nov 2024 15:51:29 +0100
