=== debian/changelog ===
xsimd (13.2.0-1ubuntu1) resolute; urgency=medium

  * d/rules: fix armhf FTBFS by replacing -march=native with a safe
    baseline for armhf (LP: #2131940)

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 19 Nov 2025 20:48:22 +0530

xsimd (13.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Mar 2025 23:03:19 +0100
