=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xsimd
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Lamy <lamy@unistra.fr>
 Build-Depends: debhelper-compat (= 13),
                cmake,
