=== debian/changelog ===
xsimd (14.0.0-6) unstable; urgency=medium

  * Team upload.
  * debian patch clang_ppc64el.patch applies ppc64el patch proposed for
    upstream issue #1257. Test in ppc64el clang tests. See Bug#1127626.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Feb 2026 11:41:55 +0100

xsimd (14.0.0-5) unstable; urgency=medium

  * Team upload.
  * reinstate explicit hardware build flags for armhf and update to
    -march=armv7-a+fp. Closes: #1128257
  * run uname in both debian/rules (configure) and debian/tests
    to verify architecture at the level of the operating system

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Feb 2026 13:18:24 +0100

xsimd (14.0.0-4) unstable; urgency=medium

  * Team upload.
  * report CPU using lscpu (linux) or /proc/cpuinfo (not linux)
    in both debian/rules (configure) and debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Feb 2026 14:13:35 +0100

xsimd (14.0.0-3) unstable; urgency=medium

  * Team upload.
  * drop explicit hardware build flags for armhf. Closes: #1128257
  * replace debian patch fix_arm64_PR1241.patch with
    arm_revert_PR1177.patch reverting upstream PR#1177 completely
    to work around Bug#1127450
  * debian/tests: skip clang tests on ppc64el to work around Bug#1127626

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Feb 2026 11:18:33 +0100

xsimd (14.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch fix_arm64_PR1241.patch applies upstream PR#1241 to
    improve arm64 handling (see Bug#1127450)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Feb 2026 15:49:09 +0100

xsimd (14.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - versioned Depends: xtl-dev (>= 0.8.0~)
    - drops generic header files (update debian/copyright)
  * update debian/watch to v5 GitHub template
    with Uversion-Mangle: auto for rc preview releases
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Feb 2026 17:48:46 +0100
