=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: xsimd
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Lamy <lamy@unistra.fr>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               xtl-dev (>= 0.7.0~),
+               xtl-dev (>= 0.8.0~),
                python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                doctest-dev <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/xsimd
 Vcs-Git: https://salsa.debian.org/science-team/xsimd.git
 Homepage: https://github.com/xtensor-stack/xsimd
@@ -21,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: xtl-dev (>= 0.7.0~),
+Depends: xtl-dev (>= 0.8.0~),
  ${misc:Depends}
 Suggests: libxsimd-doc <!nodoc>
 Breaks: libxtensor-dev (<< 0.24~),
