=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
-  export DEB_CXXFLAGS_MAINT_APPEND = -mfloat-abi=hard -mfpu=vfpv3 -march=armv7-a
+  export DEB_CXXFLAGS_MAINT_APPEND = -march=armv7-a+fp
 endif
 
 include /usr/share/dpkg/default.mk
@@ -27,6 +27,12 @@
 	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
+	uname -a
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	lscpu
+else
+	cat /proc/cpuinfo
+endif
 	dh_auto_configure -- $(BUILD_OPTIONS)
 
 override_dh_auto_build:
