=== debian/tests/control ===
--- 
+++ 
@@ -3,5 +3,6 @@
 Restrictions: allow-stderr
 
 Tests: xsimd-test-clang, xsimd-test-clang-complex
-Depends: libxsimd-dev, xtl-dev, cmake, doctest-dev, clang-18
+Depends: libxsimd-dev, xtl-dev, cmake, doctest-dev, clang
 Restrictions: allow-stderr
+#Architecture: !ppc64el
